<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_a7526e8736d966fe53806d9400194a" . "23" => base64_decode("Y2hlY2tlZF9vdXRfd" . "G8="), "_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a" => base64_decode("cGFyZW50" . "X2lk"));
use Claromentis\Core\Event\GenericEvent;


class CheckoutDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedOutTo()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a7526e8736" . "d966fe53806" . "d9400194a23"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_6e38cb9e043a07" . "cd69a1711a6704c" . "62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}